Skip to main content
`Ctrl`+`K`

# PEPCISSGetSizes

Gets the values of various size parameters in the CISS solver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPCISSGetSizes(PEP pep,PetscInt *ip,PetscInt *bs,PetscInt *ms,PetscInt *npart,PetscInt *bsmax,PetscBool *realmats)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameters

- ip - number of integration points

- bs - block size

- ms - moment size

- npart - number of partitions when splitting the communicator

- bsmax - max block size

- realmats - all coefficient matrices of \(P(\cdot)\) are real

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPCISS`, `PEPCISSSetSizes()`

## Level

advanced

## Location

src/pep/impls/ciss/pciss.c

## Implementations

PEPCISSGetSizes_CISS() in src/pep/impls/ciss/pciss.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages